Opportunities API
POST/api/v1/opportunities/{id}/steps/{stepId}/complete
Product availabilityAlgaPSA

Complete opportunity step

Completes a current step and promotes an existing planned successor or creates a replacement action.

RBAC · opportunities

Path parameters

idstring <uuid>Required
Opportunity UUID from opportunities.opportunity_id.
stepIdstring <uuid>Required
Step UUID from opportunity_steps.step_id.

Request body

Content type: application/json · schema CompleteOpportunityStepBodyV1

next_step_idstring <uuid>Nullable
next_actionstringNullable
min length 1 · max length 300
next_action_duestring <date-time>Nullable
checkpointstringNullable
Enum: qualifiedassessmentproposedverbalwon

Response body

Success response 200 · schema OpportunityApiSuccessV1

dataobjectRequired
metaobject

Response codes

200
Operation succeeded.
400
Validation or request parsing failure.
401
API key missing or invalid.
403
RBAC denied for the opportunities resource action.
404
Opportunity or nested resource not found.
409
Opportunity state conflicts with the requested operation.
500
Unexpected controller or service failure.